## ipxe 1.0.0%2Bgit

=== src/arch/x86_64/Makefile ===
# Code size reduction.
#
CFLAGS		+= -fstrength-reduce -fomit-frame-pointer

# Code size reduction.  gcc3 needs a different syntax to gcc2 if you
# want to avoid spurious warnings.
#
CFLAGS		+= -falign-jumps=1 -falign-loops=1 -falign-functions=1

# Use %rip-relative addressing wherever possible.
#
CFLAGS		+= -fpie

# Force 64-bit code
#
CFLAGS		+= -m64
ASFLAGS		+= --64
LDFLAGS		+= -m elf_x86_64

# EFI requires -fshort-wchar, and nothing else currently uses wchar_t
#
CFLAGS		+= -fshort-wchar

# We need to undefine the default macro "i386" when compiling .S
# files, otherwise ".arch i386" translates to ".arch 1"...
#
CFLAGS			+= -Ui386

# Add -maccumulate-outgoing-args if required by this version of gcc
#
ifeq ($(CCTYPE),gcc)
MS_ABI_TEST_CODE := extern void __attribute__ (( ms_abi )) ms_abi(); \
		    void sysv_abi ( void ) { ms_abi(); }
MS_ABI_TEST = $(ECHO) '$(MS_ABI_TEST_CODE)' | \
	      $(CC) -m64 -mno-accumulate-outgoing-args -x c -c - -o /dev/null \
		    >/dev/null 2>&1
MS_ABI_FLAGS := $(shell $(MS_ABI_TEST) || $(ECHO) '-maccumulate-outgoing-args')
WORKAROUND_CFLAGS += $(MS_ABI_FLAGS)
endif

# x86_64-specific directories containing source files
#
SRCDIRS		+= arch/x86_64/core
SRCDIRS		+= arch/x86_64/prefix

# Include common x86 Makefile
#
MAKEDEPS	+= arch/x86/Makefile
include arch/x86/Makefile

# Include platform-specific Makefile
#
MAKEDEPS	+= arch/x86_64/Makefile.$(PLATFORM)
include arch/x86_64/Makefile.$(PLATFORM)

## ipxe 1.0.0%2Bgit-20231218.f22879c

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

export ISOLINUX_BIN=/usr/lib/syslinux/

VERSION := $(shell dpkg-parsechangelog | sed -ne 's,^Version: *\(.*\)$$,\1,p')

%:
	+dh $@

override_dh_auto_configure:
	mkdir -p src/config/local
	cp debian/config/* src/config/local

src/bin-i386-pcbios/% src/bin-x86_64-efi/%:
	dh_auto_build --sourcedirectory=src -- V=1 NO_WERROR=1 VERSION="$(VERSION)" $(subst src/,,$@)

src/bin-combined/%.efirom: src/bin-i386-pcbios/%.rom src/bin-x86_64-efi/%.efirom
	@[ -d $(dir $@) ] || mkdir $(dir $@)
	src/util/catrom.pl $^ > $@

src/bin-combined/%.iso: src/bin-i386-pcbios/%.lkrn src/bin-x86_64-efi/%.efi
	@[ -d $(dir $@) ] || mkdir $(dir $@)
	debian/util/geniso $@ $^

override_dh_auto_build: $(shell grep -hoE 'src/bin(-[^/]*)?/\S+' debian/*.install)

override_dh_auto_clean:
	$(MAKE) -C src veryclean
	rm -fr src/bin*
	rm -f src/config/local/*

.NOTPARALLEL:
.SECONDARY:

## ipxe 1.0.0+git

=== src/Makefile ===
###############################################################################
#
# Initialise various variables
#

CLEANUP		:=
CFLAGS		:=
ASFLAGS		:=
LDFLAGS		:=
HOST_CFLAGS	:=
MAKEDEPS	:= Makefile
CROSS_COMPILE	?= $(CROSS)
SYMBOL_PREFIX	:=

###############################################################################
#
# Locations of tools
#
HOST_CC		:= gcc
RM		:= rm -f
TOUCH		:= touch
MKDIR		:= mkdir
CP		:= cp
ECHO		:= echo
PRINTF		:= printf
PERL		:= perl
PYTHON		:= python
TRUE		:= true
CC		:= $(CROSS_COMPILE)gcc
CPP		:= $(CC) -E
AS		:= $(CROSS_COMPILE)as
LD		:= $(CROSS_COMPILE)ld
SIZE		:= $(CROSS_COMPILE)size
AR		:= $(CROSS_COMPILE)ar
RANLIB		:= $(CROSS_COMPILE)ranlib
OBJCOPY		:= $(CROSS_COMPILE)objcopy
NM		:= $(CROSS_COMPILE)nm
OBJDUMP		:= $(CROSS_COMPILE)objdump
OPENSSL		:= openssl
CSPLIT		:= csplit
PARSEROM	:= ./util/parserom.pl
FIXROM		:= ./util/fixrom.pl
SYMCHECK	:= ./util/symcheck.pl
SORTOBJDUMP	:= ./util/sortobjdump.pl
PADIMG		:= ./util/padimg.pl
LICENCE		:= ./util/licence.pl
NRV2B		:= ./util/nrv2b
ZBIN		:= ./util/zbin
ELF2EFI32	:= ./util/elf2efi32
ELF2EFI64	:= ./util/elf2efi64
EFIROM		:= ./util/efirom
EFIFATBIN	:= ./util/efifatbin
EINFO		:= ./util/einfo
GENKEYMAP	:= ./util/genkeymap.py
DOXYGEN		:= doxygen
LCAB		:= lcab
QEMUIMG		:= qemu-img

###############################################################################
#
# SRCDIRS lists all directories containing source files.
#
SRCDIRS		:=
SRCDIRS		+= libgcc
SRCDIRS		+= core
SRCDIRS		+= net net/tcp net/udp net/infiniband
SRCDIRS		+= image
SRCDIRS		+= drivers/bus
SRCDIRS		+= drivers/net
SRCDIRS		+= drivers/net/e1000
SRCDIRS		+= drivers/net/e1000e
SRCDIRS		+= drivers/net/igb
SRCDIRS		+= drivers/net/igbvf
SRCDIRS		+= drivers/net/phantom
SRCDIRS		+= drivers/net/vxge
SRCDIRS		+= drivers/net/efi
SRCDIRS		+= drivers/net/tg3
SRCDIRS		+= drivers/net/bnxt
SRCDIRS		+= drivers/net/sfc
SRCDIRS		+= drivers/block
SRCDIRS		+= drivers/nvs
SRCDIRS		+= drivers/bitbash
SRCDIRS		+= drivers/infiniband
SRCDIRS		+= drivers/infiniband/mlx_utils_flexboot/src
SRCDIRS		+= drivers/infiniband/mlx_utils/src/public
SRCDIRS		+= drivers/infiniband/mlx_utils/mlx_lib/mlx_reg_access
SRCDIRS		+= drivers/infiniband/mlx_utils/mlx_lib/mlx_nvconfig
SRCDIRS		+= drivers/infiniband/mlx_utils/mlx_lib/mlx_vmac
SRCDIRS		+= drivers/infiniband/mlx_utils/mlx_lib/mlx_blink_leds
SRCDIRS		+= drivers/infiniband/mlx_utils/mlx_lib/mlx_link_speed
SRCDIRS		+= drivers/infiniband/mlx_utils/mlx_lib/mlx_mtu
SRCDIRS		+= drivers/infiniband/mlx_nodnic/src
SRCDIRS		+= drivers/usb
SRCDIRS		+= interface/pxe interface/efi interface/smbios
SRCDIRS		+= interface/bofm
SRCDIRS		+= interface/xen
SRCDIRS		+= interface/hyperv
SRCDIRS		+= tests
SRCDIRS		+= crypto crypto/mishmash
SRCDIRS		+= hci hci/commands hci/tui
SRCDIRS		+= hci/mucurses hci/mucurses/widgets
SRCDIRS		+= hci/keymap
SRCDIRS		+= usr
SRCDIRS		+= config

# These directories contain code that is not eligible for UEFI Secure
# Boot signing.
#
SRCDIRS_INSEC	+= net/oncrpc
SRCDIRS_INSEC	+= net/80211
SRCDIRS_INSEC	+= drivers/net/rtl818x
SRCDIRS_INSEC	+= drivers/net/ath
SRCDIRS_INSEC	+= drivers/net/ath/ath5k
SRCDIRS_INSEC	+= drivers/net/ath/ath9k

# NON_AUTO_SRCS lists files that are excluded from the normal
# automatic build system.
#
NON_AUTO_SRCS	:=
NON_AUTO_SRCS	+= core/version.c
NON_AUTO_SRCS	+= drivers/net/prism2.c

# INCDIRS lists the include path
#
INCDIRS		:=
INCDIRS		+= include .

###############################################################################
#
# Default build target: build the most common targets and print out a
# helpfully suggestive message
#
ALL		:= bin/blib.a bin/ipxe.dsk bin/ipxe.lkrn bin/ipxe.iso \
		   bin/ipxe.usb bin/ipxe.pxe bin/undionly.kpxe bin/rtl8139.rom \
		   bin/8086100e.mrom bin/80861209.rom bin/10500940.rom \
		   bin/10222000.rom bin/10ec8139.rom bin/1af41000.rom \
		   bin/8086100f.mrom bin/808610d3.mrom bin/15ad07b0.rom

all : $(ALL)
	@$(ECHO) '==========================================================='
	@$(ECHO)
	@$(ECHO) 'To create a bootable floppy, type'
	@$(ECHO) '    cat bin/ipxe.dsk > /dev/fd0'
	@$(ECHO) 'where /dev/fd0 is your floppy drive.  This will erase any'
	@$(ECHO) 'data already on the disk.'
	@$(ECHO)
	@$(ECHO) 'To create a bootable USB key, type'
	@$(ECHO) '    cat bin/ipxe.usb > /dev/sdX'
	@$(ECHO) 'where /dev/sdX is your USB key, and is *not* a real hard'
	@$(ECHO) 'disk on your system.  This will erase any data already on'
	@$(ECHO) 'the USB key.'
	@$(ECHO)
	@$(ECHO) 'To create a bootable CD-ROM, burn the ISO image '
	@$(ECHO) 'bin/ipxe.iso to a blank CD-ROM.'
	@$(ECHO)
	@$(ECHO) 'These images contain drivers for all supported cards.  You'
	@$(ECHO) 'can build more customised images, and ROM images, using'
	@$(ECHO) '    make bin/<rom-name>.<output-format>'
	@$(ECHO)
	@$(ECHO) '==========================================================='

###############################################################################
#
# Comprehensive build target: build a selection of cross-platform
# targets to expose potential build errors that show up only on
# certain platforms
#
everything :
	$(Q)$(MAKE) --no-print-directory $(ALL) \
		bin/3c509.rom bin/intel.rom bin/intel.mrom \
		bin-x86_64-pcbios/8086100e.mrom bin-x86_64-pcbios/intel.rom \
		bin-x86_64-pcbios/ipxe.usb bin-x86_64-pcbios/ipxe.pxe \
		bin-x86_64-pcbios/undionly.kpxe \
		bin-i386-efi/ipxe.efi bin-i386-efi/ipxe.efidrv \
		bin-i386-efi/ipxe.efirom \
		bin-x86_64-efi/ipxe.efi bin-x86_64-efi/ipxe.efidrv \
		bin-x86_64-efi/ipxe.efirom \
		bin-i386-linux/tap.linux bin-x86_64-linux/tap.linux \
		bin-i386-linux/tests.linux bin-x86_64-linux/tests.linux

###############################################################################
#
# VMware build target: all ROMs used with VMware
#
vmware : bin/8086100f.mrom bin/808610d3.mrom bin/10222000.rom bin/15ad07b0.rom
	@$(ECHO) '==========================================================='
	@$(ECHO) 
	@$(ECHO) 'Available ROMs:'
	@$(ECHO) '    bin/8086100f.mrom -- intel/e1000'
	@$(ECHO) '    bin/808610d3.mrom -- intel/e1000e'
	@$(ECHO) '    bin/10222000.rom  -- vlance/pcnet32'
	@$(ECHO) '    bin/15ad07b0.rom  -- vmxnet3'
	@$(ECHO) 
	@$(ECHO) 'For more information, see https://ipxe.org/howto/vmware'
	@$(ECHO)
	@$(ECHO) '==========================================================='

###############################################################################
#
# Build targets that do nothing but might be tried by users
#
configure :
	@$(ECHO) "No configuration needed."

install :
	@$(ECHO) "No installation required."

###############################################################################
#
# Version number calculations
#
ifneq ($(wildcard ../.git),)
VERSIONS := $(shell git describe --tags --always --long --abbrev=1 --match "v*")
VERSION_TUPLE	:= $(subst ., ,$(subst -, ,$(patsubst v%,%,$(VERSIONS))))
VERSION_MAJOR	:= $(word 1,$(VERSION_TUPLE))
VERSION_MINOR	:= $(word 2,$(VERSION_TUPLE))
VERSION_PATCH	:= $(word 3,$(VERSION_TUPLE))
ifeq ($(word 4,$(VERSION_TUPLE)),0)
EXTRAVERSION	:=
else
EXTRAVERSION	:= +
endif
GITVERSION	= $(word 5,$(VERSION_TUPLE))
else
VERSION_MAJOR	= 1
VERSION_MINOR	= 0
VERSION_PATCH	= 0
EXTRAVERSION	= +
endif
MM_VERSION	= $(VERSION_MAJOR).$(VERSION_MINOR)
VERSION		= $(MM_VERSION).$(VERSION_PATCH)$(EXTRAVERSION)
ifneq ($(GITVERSION),)
VERSION		+= ($(GITVERSION))
endif
version :
	@$(ECHO) "$(VERSION)"

###############################################################################
#
# Predefined build shortcuts (for e.g. bin/ipxe.iso)

# All drivers (excluding USB)
#
DRIVERS_ipxe	= $(DRIVERS_net) $(DRIVERS_infiniband) \
		  $(DRIVERS_xen) $(DRIVERS_hyperv)

# Raspberry Pi
#
DRIVERS_rpi	= smsc95xx lan78xx

###############################################################################
#
# Drag in the bulk of the build system
#

MAKEDEPS	+= Makefile.housekeeping
include Makefile.housekeeping

=== src/arch/arm/Makefile ===
# Assembler section type character
#
ASM_TCHAR	:= %
ASM_TCHAR_OPS	:= %%

# Include common ARM headers
#
INCDIRS		+= arch/arm/include

# ARM-specific directories containing source files
#
SRCDIRS		+= arch/arm/core
SRCDIRS		+= arch/arm/interface/efi

=== src/arch/i386/Makefile ===
# Force i386-only instructions
#
CFLAGS		+= -march=i386

# Code size reduction.
#
CFLAGS		+= -fomit-frame-pointer

# Code size reduction.
#
ifeq ($(CCTYPE),gcc)
CFLAGS		+= -fstrength-reduce
endif

# Code size reduction.  gcc3 needs a different syntax to gcc2 if you
# want to avoid spurious warnings.
#
ifeq ($(CCTYPE),gcc)
GCC_VERSION	:= $(subst ., ,$(shell $(CC) -dumpversion))
GCC_MAJOR	:= $(firstword $(GCC_VERSION))
ifeq ($(GCC_MAJOR),2)
CFLAGS		+= -malign-jumps=1 -malign-loops=1 -malign-functions=1
else
CFLAGS		+= -falign-jumps=1 -falign-loops=1 -falign-functions=1
endif # gcc2
endif # gcc

# Code size reduction.  This is almost always a win.  The kernel uses
# it, too.
#
ifeq ($(CCTYPE),gcc)
CFLAGS		+= -mpreferred-stack-boundary=2
endif

# Code size reduction.  Use regparm for all functions - C functions
# called from assembly (or vice versa) need __asmcall now
#
CFLAGS		+= -mregparm=3

# Code size reduction.  Use -mrtd (same __asmcall requirements as above)
ifeq ($(CCTYPE),gcc)
CFLAGS		+= -mrtd
endif

# Code size reduction.  This is the logical complement to -mregparm=3.
# It doesn't currently buy us anything, but if anything ever tries to
# return small structures, let's be prepared
#
CFLAGS		+= -freg-struct-return

# Force 32-bit code even on an x86-64 machine
#
CFLAGS		+= -m32
ASFLAGS		+= --32
ifeq ($(HOST_OS),FreeBSD)
LDFLAGS		+= -m elf_i386_fbsd
else ifeq ($(HOST_OS),OpenBSD)
LDFLAGS		+= -m elf_i386_obsd
else
LDFLAGS		+= -m elf_i386
endif

# EFI requires -fshort-wchar, and nothing else currently uses wchar_t
#
CFLAGS		+= -fshort-wchar

# We need to undefine the default macro "i386" when compiling .S
# files, otherwise ".arch i386" translates to ".arch 1"...
#
CFLAGS			+= -Ui386

# Some widespread patched versions of gcc include -fPIE -Wl,-pie by
# default.  Note that gcc will exit *successfully* if it fails to
# recognise an option that starts with "no", so we have to test for
# output on stderr instead of checking the exit status.
#
ifeq ($(CCTYPE),gcc)
PIE_TEST = [ -z "`$(CC) -fno-PIE -nopie -x c -c /dev/null -o /dev/null 2>&1`" ]
PIE_FLAGS := $(shell $(PIE_TEST) && $(ECHO) '-fno-PIE -nopie')
WORKAROUND_CFLAGS += $(PIE_FLAGS)
endif

# Define version string for lkrnprefix.S
#
CFLAGS_lkrnprefix	+= -DVERSION="\"$(VERSION)\""

# Locations of utilities
#
ISOLINUX_BIN_LIST	:= \
	$(ISOLINUX_BIN) \
	/usr/lib/syslinux/isolinux.bin \
	/usr/lib/syslinux/bios/isolinux.bin \
	/usr/share/syslinux/isolinux.bin \
	/usr/share/syslinux/bios/isolinux.bin \
	/usr/local/share/syslinux/isolinux.bin \
	/usr/local/share/syslinux/bios/isolinux.bin \
	/usr/lib/ISOLINUX/isolinux.bin
ISOLINUX_BIN	= $(firstword $(wildcard $(ISOLINUX_BIN_LIST)))

# i386-specific directories containing source files
#
SRCDIRS		+= arch/i386/core arch/i386/transitions arch/i386/prefix
SRCDIRS		+= arch/i386/firmware/pcbios
SRCDIRS		+= arch/i386/image
SRCDIRS		+= arch/i386/interface/pcbios
SRCDIRS		+= arch/i386/interface/pxe
SRCDIRS		+= arch/i386/interface/pxeparent
SRCDIRS 	+= arch/i386/interface/syslinux
SRCDIRS		+= arch/i386/interface/vmware
SRCDIRS		+= arch/i386/hci/commands

# Include common x86 Makefile
#
MAKEDEPS	+= arch/x86/Makefile
include arch/x86/Makefile

# Include platform-specific Makefile
#
MAKEDEPS	+= arch/i386/Makefile.$(PLATFORM)
include arch/i386/Makefile.$(PLATFORM)

=== src/arch/loong64/Makefile ===
# Assembler section type character
#
ASM_TCHAR	:= @
ASM_TCHAR_OPS	:= @

# LoongArch64-specific flags
#
CFLAGS		+= -fstrength-reduce -fomit-frame-pointer
CFLAGS		+= -falign-jumps=1 -falign-loops=1 -falign-functions=1

# Check if -mno-explicit-relocs is valid
ifeq ($(CCTYPE),gcc)
MNER_TEST = $(CC) -mno-explicit-relocs -x c -c /dev/null -o /dev/null >/dev/null 2>&1
MNER_FLAGS := $(shell $(MNER_TEST) && $(ECHO) '-mno-explicit-relocs')
WORKAROUND_CFLAGS += $(MNER_FLAGS)
endif

# EFI requires -fshort-wchar, and nothing else currently uses wchar_t
CFLAGS		+= -fshort-wchar

# LoongArch64-specific directories containing source files
SRCDIRS		+= arch/loong64/core
SRCDIRS		+= arch/loong64/interface/efi

# Include platform-specific Makefile
MAKEDEPS	+= arch/loong64/Makefile.$(PLATFORM)
include arch/loong64/Makefile.$(PLATFORM)

=== src/arch/x86/Makefile ===
# Include common x86 headers
#
INCDIRS		+= arch/x86/include

# x86-specific directories containing source files
#
SRCDIRS		+= arch/x86/core
SRCDIRS		+= arch/x86/interface/efi
SRCDIRS		+= arch/x86/prefix
SRCDIRS		+= arch/x86/hci/commands
SRCDIRS		+= arch/x86/drivers/xen

# breaks building some of the linux-related objects
CFLAGS		+= -Ulinux

# disable valgrind
CFLAGS		+= -DNVALGRIND

## ipxe 1.0.0+git-2.149b50

=== debian/changelog ===
ipxe (1.0.0+git-2.149b50-1ubuntu1) oneiric; urgency=low

  * Link Roms into /usr/share/qemu for consumption by
    qemu-kvm.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 18 Aug 2011 13:34:38 -0500

ipxe (1.0.0+git-2.149b50-1) unstable; urgency=low

  * New snapshot.

 -- Bastian Blank <waldi@debian.org>  Sun, 31 Jul 2011 20:57:02 +0200

ipxe (1.0.0+git-1.293e34-2) unstable; urgency=low

  * Add some missing copyrights and licenses to the copyright files.

 -- Bastian Blank <waldi@debian.org>  Mon, 11 Apr 2011 19:35:36 +0200

ipxe (1.0.0+git-1.293e34-1) unstable; urgency=low

  * Initial release (closes: #474034)
  * Remove drivers with binary-only firmware:
    - Remove bnx2 driver.
    - Remove linda infiniband driver.

 -- Bastian Blank <waldi@debian.org>  Sun, 03 Apr 2011 11:32:56 +0200

=== debian/control ===
Source: ipxe
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Bastian Blank <waldi@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 genisoimage, syslinux
Standards-Version: 3.9.1
Homepage: http://ipxe.org/
#Vcs-Git: git://git.debian.org/collab-maint/ipxe.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/ipxe.git;a=summary

Package: ipxe
Architecture: all
Depends: ${misc:Depends}
Description: PXE boot firmware
 iPXE is network boot firmware.  It supports a variety of network cards,
 including some wireless cards, and variety of network protocols (traditional
 DHCP, BOOTP and TFTP and also HTTP, iSCSI, SAN via FCoE and Infiniband). It
 supports scripting.
 .
 It is possible to use iPXE as a PXE ROM in the network card or to
 chainload it from other boot methods.
 .
 This package provides boot code for all supported network cards in one
 binary, in several bootable formats, and also many boot ROMs to be
 embedded in various network cards.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_build:
	make -C src V=1 NO_WERROR=1 all allbaseroms bin/ipxe.pxe

override_dh_auto_clean:
	make -C src veryclean
	rm -f src/config/local/*

## ipxe 1.0.0+git-3.55f6c88

=== debian/changelog ===
ipxe (1.0.0+git-3.55f6c88-0ubuntu5) quantal; urgency=low

  * Fix input/output errors when using ipxe to boot from iSCSI storage
    (LP: #1045923).
    - d/p/iscsi-{report-reponse,send-padding-inline}.patch: Cherry picked
      patches from upstream VCS which resolve two issues with iSCSI protocol
      handling.

 -- James Page <james.page@ubuntu.com>  Thu, 06 Sep 2012 21:46:54 +0100

ipxe (1.0.0+git-3.55f6c88-0ubuntu4) quantal; urgency=low

  * debian/ipxe.install: add ipxe.dsk and ipxe.usb (LP: #1014005)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 21 Aug 2012 14:48:44 -0500

ipxe (1.0.0+git-3.55f6c88-0ubuntu3) quantal; urgency=low

  [ Serge Hallyn ]
  * debian/patches/rom-set-banner-timeout-0.diff: set rom banner timeout
    to 0.  (LP: #921230)
  
  [ Stefan Bader ]
  * Modify the ROM names in of the allqemu target to use 8086100e instead
    of e1000_82540 and ne instead of ne2k_isa (LP: #948323)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 28 May 2012 11:57:48 -0500

ipxe (1.0.0+git-3.55f6c88-0ubuntu2) quantal; urgency=low

  * debian/grub.d/25_ipxe: removed the space after "Found iPXE image"
    to match other grub-update script fragments (LP: #990378).
  * debian/control: fixed some Lintian warnings.
    - TODO: lots of missing Copyright information.

 -- Martin-Éric Racine <q-funk@ubuntu.com>  Sat, 28 Apr 2012 11:41:28 +0300

ipxe (1.0.0+git-3.55f6c88-0ubuntu1) precise; urgency=low

  [ Marc Cluet ]
  * New upstream snapshot.
  * Added rules for automatic git branch refresh.
  * Changed rom target from allbaseroms to allroms.
    - recommended behaviour by upstream, building all full roms is neither
      recommended nor a desired user experience
  * Added new target allqemu for qemu package.
    - created new build target to build full rom drivers just for qemu
      package purposes
  * Cleaned lintian errors from debian package
    - Removed brace extension in ipxe.install
    - Updated standards to 3.9.2
    - Fixed copyright file not machine readable

  [ James Page ]
  * Updated get-orig-source target to generate git snapshots inline
    with upstream version numbering being used by this package. 

 -- Marc Cluet <marc.cluet@ubuntu.com>  Fri, 10 Feb 2012 16:21:23 +0000

ipxe (1.0.0+git-2.149b50-1ubuntu4) precise; urgency=low

  * Add missing Breaks/Replaces for kvm-ipxe split in
    1.0.0+git-2.149b50-1ubuntu3 (LP: #905099).

 -- Robie Basak <robie.basak@ubuntu.com>  Fri, 16 Dec 2011 10:43:54 +0000

ipxe (1.0.0+git-2.149b50-1ubuntu3) precise; urgency=low

  * add new binary package, kvm-ipxe. The roms needed by kvm-ipxe are now only
    provided by it, so
    - make ipxe depend on kvm-ipxe.
    - ipxe.links: reverse the links

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 25 Nov 2011 12:58:48 -0600

ipxe (1.0.0+git-2.149b50-1ubuntu2) precise; urgency=low

  * Provide a new binary package, grub-ipxe - for ipxe usage via grub.
    - LP: #814038, Closes #626238

 -- Ben Howard <ben.howard@canonical.com>  Thu, 25 Aug 2011 11:03:52 -0600

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,27 @@
 XSBC-Original-Maintainer: Bastian Blank <waldi@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
  genisoimage, syslinux
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://ipxe.org/
 #Vcs-Git: git://git.debian.org/collab-maint/ipxe.git
 #Vcs-Browser: http://git.debian.org/?p=collab-maint/ipxe.git;a=summary
 
+Package: kvm-ipxe
+Architecture: all
+Depends: ${misc:Depends}
+Breaks: ipxe (<< 1.0.0+git-2.149b50-1ubuntu3)
+Replaces: ipxe (<< 1.0.0+git-2.149b50-1ubuntu3)
+Description: PXE ROM's for KVM
+ iPXE is network boot firmware.  It supports a variety of network cards,
+ including some wireless cards, and variety of network protocols (traditional
+ DHCP, BOOTP and TFTP and also HTTP, iSCSI, SAN via FCoE and Infiniband). It
+ supports scripting.
+ .
+ This package contains PXE ROM's made especially to pxeboot kvm vm's.
+
 Package: ipxe
 Architecture: all
-Depends: ${misc:Depends}
+Depends: kvm-ipxe, ${misc:Depends}
 Description: PXE boot firmware
  iPXE is network boot firmware.  It supports a variety of network cards,
  including some wireless cards, and variety of network protocols (traditional
@@ -25,3 +38,16 @@
  This package provides boot code for all supported network cards in one
  binary, in several bootable formats, and also many boot ROMs to be
  embedded in various network cards.
+
+Package: grub-ipxe
+Architecture: all
+Suggests: grub-pc (>= 1.96)
+Depends: ipxe, ${misc:Depends}
+Description: Network booting from GRUB using iPXE
+ iPXE is network boot firmware.  It supports a variety of network cards,
+ including some wireless cards, and variety of network protocols (traditional
+ DHCP, BOOTP and TFTP and also HTTP, iSCSI, SAN via FCoE and Infiniband). It
+ supports scripting.
+ .
+ This package adds a menu entry to grub2 for network booting using iPXE. 
+

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_build:
	make -C src V=1 NO_WERROR=1 all allroms allqemu bin/ipxe.pxe bin/ipxe.lkrn

override_dh_auto_clean:
	make -C src veryclean
	rm -f src/config/local/*

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/kvm-ipxe/usr/share/qemu
	mv src/bin/8086100e.rom      $(CURDIR)/debian/kvm-ipxe/usr/share/qemu/pxe-e1000.rom
	mv src/bin/ne.rom            $(CURDIR)/debian/kvm-ipxe/usr/share/qemu/pxe-ne2k_isa.rom
	mv src/bin/pcnet32.rom       $(CURDIR)/debian/kvm-ipxe/usr/share/qemu/pxe-pcnet32.rom
	mv src/bin/rtl8139.rom       $(CURDIR)/debian/kvm-ipxe/usr/share/qemu/pxe-rtl8139.rom
	mv src/bin/virtio-net.rom    $(CURDIR)/debian/kvm-ipxe/usr/share/qemu/pxe-virtio.rom

# Stuff for get-orig-source.
version_prefix := $(shell dpkg-parsechangelog | sed -ne 's/^Version.*git-\(.*\)\..*/\1/p')
# Git short hash is prefixed with version number - 
# increment for next snapshot
new_prefix := $(shell expr $(version_prefix) + 1)

get-orig-source:
	# Grab the latest snapshot of the upstream git repository
	[ ! -d ipxe-snapshot ] || rm -rf ipxe-snapshot
	git clone git://git.ipxe.org/ipxe.git ipxe-snapshot
	cd ipxe-snapshot && \
		commit=`git rev-parse --short HEAD` && \
		git archive --format=tar --prefix=ipxe-1.0.0+git-$(new_prefix).$${commit} master |\
			gzip -9 --no-name > ../../ipxe_1.0.0+git-$(new_prefix).$${commit}.orig.tar.gz
	rm -rf ipxe-snapshot

## ipxe 1.0.0+git-4.d6b0b76

=== debian/changelog ===
ipxe (1.0.0+git-4.d6b0b76-0ubuntu2) raring; urgency=low

  * d/control: Add ipxe-qemu virtual package for use with qemu.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 20 Nov 2012 16:08:21 -0600

ipxe (1.0.0+git-4.d6b0b76-0ubuntu1) raring; urgency=low

  * New upstream snapshot:
    - d/p/iscsi*.patch: Dropped - included in snapshot.
    - Refreshed all other patches.
  * d/p/enable-https.patch: Enable HTTPS support (LP: #1025239).

 -- James Page <james.page@ubuntu.com>  Wed, 14 Nov 2012 15:47:31 +0000

=== debian/control ===
--- 
+++ 
@@ -51,3 +51,14 @@
  .
  This package adds a menu entry to grub2 for network booting using iPXE. 
 
+Package: ipxe-qemu
+Architecture: all
+Depends: kvm-ipxe, ${misc:Depends}
+Section: admin
+Description: Virtual package to support use of kvm-ipxe with qemu
+ iPXE is network boot firmware.  It supports a variety of network cards,
+ including some wireless cards, and variety of network protocols (traditional
+ DHCP, BOOTP and TFTP and also HTTP, iSCSI, SAN via FCoE and Infiniband). It
+ supports scripting.
+ .
+ This package is a virtual package to support use of kvm-ipxe with qemu.

=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,6 @@
 	git clone git://git.ipxe.org/ipxe.git ipxe-snapshot
 	cd ipxe-snapshot && \
 		commit=`git rev-parse --short HEAD` && \
-		git archive --format=tar --prefix=ipxe-1.0.0+git-$(new_prefix).$${commit} master |\
+		git archive --format=tar --prefix=ipxe-1.0.0+git-$(new_prefix).$${commit}/ master |\
 			gzip -9 --no-name > ../../ipxe_1.0.0+git-$(new_prefix).$${commit}.orig.tar.gz
 	rm -rf ipxe-snapshot

## ipxe 1.0.0+git-20120202.f6840ba

=== debian/changelog ===
ipxe (1.0.0+git-20120202.f6840ba-3) unstable; urgency=low

  * Fix to break qemu-system instead of qemu. (closes: #658982)
  * Make ipxe-qemu break and replace ipxe. (closes: #658684)
  * Add link for ipxe.lkrn, so all images can be found in one location.

 -- Bastian Blank <waldi@debian.org>  Tue, 07 Feb 2012 16:09:43 +0100

ipxe (1.0.0+git-20120202.f6840ba-2) unstable; urgency=low

  * Fix grub setup and restrict entry by default. (closes: #658465)
  * Install only combined images into ipxe package.
  * Install rom images needed for qemu into ipxe-qemu package.
    - Add breaks against qemu and qemu-kvm.
  * Disable rom banner timeout. (closes: #638574)

 -- Bastian Blank <waldi@debian.org>  Fri, 03 Feb 2012 19:04:56 +0100

ipxe (1.0.0+git-20120202.f6840ba-1) unstable; urgency=low

  * New snapshot.
  * Disable ath9k roms.
  * Fix tg3 build.
  * Create grub entry. (closes: #626238)
  * Override version string with package version.

 -- Bastian Blank <waldi@debian.org>  Thu, 02 Feb 2012 12:40:26 +0100

=== debian/control ===
Source: ipxe
Section: admin
Priority: optional
Maintainer: Bastian Blank <waldi@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 genisoimage, syslinux
Standards-Version: 3.9.1
Homepage: http://ipxe.org/
#Vcs-Git: git://git.debian.org/collab-maint/ipxe.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/ipxe.git;a=summary

Package: ipxe
Architecture: all
Depends: ${misc:Depends}
Breaks: qemu-system (<= 1.0+dfsg-2), qemu-kvm (<= 1.0+dfsg-7)
Description: PXE boot firmware
 iPXE is network boot firmware.  It supports a variety of network cards,
 including some wireless cards, and variety of network protocols (traditional
 DHCP, BOOTP and TFTP and also HTTP, iSCSI, SAN via FCoE and Infiniband). It
 supports scripting.
 .
 It is possible to use iPXE as a PXE ROM in the network card or to
 chainload it from other boot methods.
 .
 This package provides boot code for all supported network cards in one
 binary and several bootable formats.

Package: ipxe-qemu
Architecture: all
Depends: ${misc:Depends}
Breaks: ipxe (<< 1.0.0+git-20120202.f6840ba-2~)
Replaces: ipxe (<< 1.0.0+git-20120202.f6840ba-2~)
Description: PXE boot firmware - ROM images for qemu
 iPXE is network boot firmware.  It supports a variety of network cards,
 including some wireless cards, and variety of network protocols (traditional
 DHCP, BOOTP and TFTP and also HTTP, iSCSI, SAN via FCoE and Infiniband). It
 supports scripting.
 .
 It is possible to use iPXE as a PXE ROM in the network card or to
 chainload it from other boot methods.
 .
 This package provides boot code for the qemu emulated network cards in
 as boot ROMs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

VERSION := $(shell dpkg-parsechangelog | sed -ne 's,^Version: *\(.*\)$$,\1,p')

%:
	+dh $@ 

override_dh_auto_configure:
	cp debian/config/* src/config/local

override_dh_auto_build: TARGETS = $(shell grep -hoE 'src\/bin/\S+' debian/*.install | sed -e 's,src/,,')
override_dh_auto_build:
	$(MAKE) -C src V=1 NO_WERROR=1 VERSION="$(VERSION)" $(TARGETS)

override_dh_auto_clean:
	$(MAKE) -C src veryclean
	rm -f src/config/local/*

## ipxe 1.0.0+git-20130710.936134e

=== debian/changelog ===
ipxe (1.0.0+git-20130710.936134e-0ubuntu1) saucy; urgency=low

  * New upstream snapshot:
    - d/p/fix-bp-bug.patch: Dropped; included in snapshot.
    - d/p/baseroms-target.diff: Dropped; no longer required.
    - Refreshed all other patches.
  * d/rules: Use date for snapshot prefix instead of increment.
  * d/p/qemu-target-fix-names.diff: Consolidated into qemu-target.diff.
  * d/p/*: Tidied redundant patches.
  * d/control,rules: Move roms for use with qemu-kvm to ipxe-qemu, update
    kvm-ipxe to be transitional.
  * d/control: Drop Depends from grub-ipxe to ipxe as its not required.

 -- James Page <james.page@ubuntu.com>  Wed, 10 Jul 2013 12:23:26 +0100

ipxe (1.0.0+git-4.d6b0b76-0ubuntu3) saucy; urgency=low

  * debian/patches/fix-bp-bug.patch: fixes FTBFS (LP: #1194914)

 -- Yolanda Robla <yolanda.robla@canonical.com>  Thu, 27 Jun 2013 11:22:43 +0200

=== debian/control ===
Source: ipxe
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Bastian Blank <waldi@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 genisoimage, syslinux
Standards-Version: 3.9.2
Homepage: http://ipxe.org/
#Vcs-Git: git://git.debian.org/collab-maint/ipxe.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/ipxe.git;a=summary

Package: ipxe
Architecture: all
Depends: ipxe-qemu, ${misc:Depends}
Description: PXE boot firmware
 iPXE is network boot firmware.  It supports a variety of network cards,
 including some wireless cards, and variety of network protocols (traditional
 DHCP, BOOTP and TFTP and also HTTP, iSCSI, SAN via FCoE and Infiniband). It
 supports scripting.
 .
 It is possible to use iPXE as a PXE ROM in the network card or to
 chainload it from other boot methods.
 .
 This package provides boot code for all supported network cards in one
 binary, in several bootable formats, and also many boot ROMs to be
 embedded in various network cards.

Package: ipxe-qemu
Architecture: all
Depends: ${misc:Depends}
Breaks: kvm-ipxe (<< 1.0.0+git-20130710.936134e-0ubuntu1)
Replaces: kvm-ipxe (<< 1.0.0+git-20130710.936134e-0ubuntu1)
Section: admin
Description: Virtual package to support use of kvm-ipxe with qemu
 iPXE is network boot firmware.  It supports a variety of network cards,
 including some wireless cards, and variety of network protocols (traditional
 DHCP, BOOTP and TFTP and also HTTP, iSCSI, SAN via FCoE and Infiniband). It
 supports scripting.
 .
 This package contains PXE ROM's made especially to pxeboot kvm vm's.

Package: kvm-ipxe
Architecture: all
Depends: ipxe-qemu, ${misc:Depends}
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: grub-ipxe
Architecture: all
Suggests: grub-pc (>= 1.96)
Depends: ${misc:Depends}
Description: Network booting from GRUB using iPXE
 iPXE is network boot firmware.  It supports a variety of network cards,
 including some wireless cards, and variety of network protocols (traditional
 DHCP, BOOTP and TFTP and also HTTP, iSCSI, SAN via FCoE and Infiniband). It
 supports scripting.
 .
 This package adds a menu entry to grub2 for network booting using iPXE.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_build:
	make -C src V=1 NO_WERROR=1 all allroms allqemu bin/ipxe.pxe bin/ipxe.lkrn

override_dh_auto_clean:
	make -C src veryclean
	rm -f src/config/local/*

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/ipxe-qemu/usr/share/qemu
	mv src/bin/8086100e.rom      $(CURDIR)/debian/ipxe-qemu/usr/share/qemu/pxe-e1000.rom
	mv src/bin/ne.rom            $(CURDIR)/debian/ipxe-qemu/usr/share/qemu/pxe-ne2k_isa.rom
	mv src/bin/pcnet32.rom       $(CURDIR)/debian/ipxe-qemu/usr/share/qemu/pxe-pcnet32.rom
	mv src/bin/rtl8139.rom       $(CURDIR)/debian/ipxe-qemu/usr/share/qemu/pxe-rtl8139.rom
	mv src/bin/virtio-net.rom    $(CURDIR)/debian/ipxe-qemu/usr/share/qemu/pxe-virtio.rom

# Stuff for get-orig-source.
version_prefix := $(shell dpkg-parsechangelog | sed -ne 's/^Version.*git-\(.*\)\..*/\1/p')
# Git short hash is prefixed with date of snapshot
new_prefix := $(shell date +%Y%m%d)

get-orig-source:
	# Grab the latest snapshot of the upstream git repository
	[ ! -d ipxe-snapshot ] || rm -rf ipxe-snapshot
	git clone git://git.ipxe.org/ipxe.git ipxe-snapshot
	cd ipxe-snapshot && \
		commit=`git rev-parse --short HEAD` && \
		git archive --format=tar --prefix=ipxe-1.0.0+git-$(new_prefix).$${commit}/ master |\
			gzip -9 --no-name > ../../ipxe_1.0.0+git-$(new_prefix).$${commit}.orig.tar.gz
	rm -rf ipxe-snapshot

## ipxe 1.0.0+git-20131111.c3d1e78

=== debian/changelog ===
ipxe (1.0.0+git-20131111.c3d1e78-2ubuntu1.1) trusty-proposed; urgency=medium

  * Cherrypick 4 patches from upstream to fix specifying boot order.
    (LP: #1409057)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 14 Jan 2015 10:22:29 -0600

ipxe (1.0.0+git-20131111.c3d1e78-2ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/p/enable-https.patch: Enable HTTPS support.
    - d/control,grub-ipxe*: Split grub integration from ipxe->grub-ipxe.
    - d/control: Transition kvm-ipxe->ipxe-qemu for LTS->LTS upgrade.
    - d/ipxe-qemu.links: Add compat links from /usr/share/qemu to
      /usr/lib/ipxe/qemu.
    - d/ipxe-qemu.install: Install ne.rom as pxe-ne2k_isa.rom.
  * Dropped changes, alternative fix in Debian:
    - d/control: Add libiberty-dev to BD's to fix FTBFS.

 -- James Page <james.page@ubuntu.com>  Mon, 06 Jan 2014 09:55:25 +0000

ipxe (1.0.0+git-20131111.c3d1e78-2) unstable; urgency=medium

  * Don't use libiberty. (closes: #730910)

 -- Bastian Blank <waldi@debian.org>  Sun, 22 Dec 2013 20:05:03 +0100

ipxe (1.0.0+git-20131111.c3d1e78-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable, remaining changes:
    - d/p/enable-https.patch: Enable HTTPS support.
    - d/control,grub-ipxe*: Split grub integration from ipxe->grub-ipxe.
    - d/control: Transition kvm-ipxe->ipxe-qemu for LTS->LTS upgrade.
    - d/ipxe-qemu.links: Add compat links from /usr/share/qemu to
      /usr/lib/ipxe/qemu.
    - d/ipxe-qemu.install: Install ne.rom as pxe-ne2k_isa.rom.
  * All other changes dropped in preference to upstream Debian
    packaging.
  * d/control: Add libiberty-dev to BD's to fix FTBFS.

 -- James Page <james.page@ubuntu.com>  Tue, 26 Nov 2013 17:50:47 +0000

ipxe (1.0.0+git-20131111.c3d1e78-1) unstable; urgency=low

  * New snapshot.
  * Add undionly.kkpxe. (closes: #671340)
  * Ignore result of update-grub invocation. (closes: #660459)
  * Mark packages as multi-arch foreign. (closes: #728476)
  * Use debhelper 9.
  * Remove old breaks relations.
  * Add 64-bit EFI images:
    - Build-depend on binutils-dev, zlib1g-dev.
    - Add combined EFI/legacy images for qemu.
    - Properly clean build dir.
  * Install images in ipxe-qemu to match names used by qemu:
    - Add compatility symlink for e1000_82540.
    - Use dh-exec to allow renames in dh_install.

 -- Bastian Blank <waldi@debian.org>  Thu, 21 Nov 2013 18:26:32 +0100

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,19 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Bastian Blank <waldi@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
- genisoimage, syslinux
-Standards-Version: 3.9.2
+Build-Depends:
+ debhelper (>> 9), dh-exec,
+ genisoimage, syslinux,
+ binutils-dev, zlib1g-dev
+Standards-Version: 3.9.1
 Homepage: http://ipxe.org/
 #Vcs-Git: git://git.debian.org/collab-maint/ipxe.git
 #Vcs-Browser: http://git.debian.org/?p=collab-maint/ipxe.git;a=summary
 
 Package: ipxe
 Architecture: all
-Depends: ipxe-qemu, ${misc:Depends}
+Multi-Arch: foreign
+Depends: ipxe-qemu, grub-ipxe, ${misc:Depends}
 Description: PXE boot firmware
  iPXE is network boot firmware.  It supports a variety of network cards,
  including some wireless cards, and variety of network protocols (traditional
@@ -23,22 +26,25 @@
  chainload it from other boot methods.
  .
  This package provides boot code for all supported network cards in one
- binary, in several bootable formats, and also many boot ROMs to be
- embedded in various network cards.
+ binary and several bootable formats.
 
 Package: ipxe-qemu
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Breaks: kvm-ipxe (<< 1.0.0+git-20130710.936134e-0ubuntu1)
 Replaces: kvm-ipxe (<< 1.0.0+git-20130710.936134e-0ubuntu1)
-Section: admin
-Description: Virtual package to support use of kvm-ipxe with qemu
+Description: PXE boot firmware - ROM images for qemu
  iPXE is network boot firmware.  It supports a variety of network cards,
  including some wireless cards, and variety of network protocols (traditional
  DHCP, BOOTP and TFTP and also HTTP, iSCSI, SAN via FCoE and Infiniband). It
  supports scripting.
  .
- This package contains PXE ROM's made especially to pxeboot kvm vm's.
+ It is possible to use iPXE as a PXE ROM in the network card or to
+ chainload it from other boot methods.
+ .
+ This package provides boot code for the qemu emulated network cards in
+ as boot ROMs.
 
 Package: kvm-ipxe
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

VERSION := $(shell dpkg-parsechangelog | sed -ne 's,^Version: *\(.*\)$$,\1,p')

%:
	+dh $@ 

override_dh_auto_configure:
	cp debian/config/* src/config/local

src/bin/% src/bin-x86_64-efi/%:
	$(MAKE) -C src V=1 NO_WERROR=1 VERSION="$(VERSION)" $(subst src/,,$@)

src/bin-efi/%.efirom: src/bin/%.rom src/bin-x86_64-efi/%.efirom
	@[ -d $(dir $@) ] || mkdir $(dir $@)
	src/util/catrom.pl $^ > $@

override_dh_auto_build: $(shell grep -hoE 'src/bin(-[^/]*)?/\S+' debian/*.install)

override_dh_auto_clean:
	$(MAKE) -C src veryclean
	rm -fr src/bin-efi src/bin-x86_64-efi
	rm -f src/config/local/*

# Stuff for get-orig-source.
version_prefix := $(shell dpkg-parsechangelog | sed -ne 's/^Version.*git-\(.*\)\..*/\1/p')
# Git short hash is prefixed with date of snapshot
new_prefix := $(shell date +%Y%m%d)

get-orig-source:
	# Grab the latest snapshot of the upstream git repository
	[ ! -d ipxe-snapshot ] || rm -rf ipxe-snapshot
	git clone git://git.ipxe.org/ipxe.git ipxe-snapshot
	cd ipxe-snapshot && \
		commit=`git rev-parse --short HEAD` && \
		git archive --format=tar --prefix=ipxe-1.0.0+git-$(new_prefix).$${commit}/ master |\
			gzip -9 --no-name > ../../ipxe_1.0.0+git-$(new_prefix).$${commit}.orig.tar.gz
	rm -rf ipxe-snapshot

.NOTPARALLEL:
.SECONDARY:

## ipxe 1.0.0+git-20141004.86285d1

=== debian/changelog ===
ipxe (1.0.0+git-20141004.86285d1-1) unstable; urgency=medium

  * New snapshot.

 -- Bastian Blank <waldi@debian.org>  Sun, 19 Oct 2014 16:02:53 +0200

ipxe (1.0.0+git-20131111.c3d1e78-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing export in d/rules.
  * Change syslinux to syslinux-common in B-D. (Closes: #750349)

 -- Juli?n Moreno Pati?o <julian@debian.org>  Wed, 10 Sep 2014 11:06:28 -0500

=== debian/control ===
Source: ipxe
Section: admin
Priority: optional
Maintainer: Bastian Blank <waldi@debian.org>
Build-Depends:
 debhelper (>> 9), dh-exec,
 genisoimage, syslinux-common,
 binutils-dev, zlib1g-dev,
Standards-Version: 3.9.1
Homepage: http://ipxe.org/
#Vcs-Git: git://git.debian.org/collab-maint/ipxe.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/ipxe.git;a=summary

Package: ipxe
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: PXE boot firmware
 iPXE is network boot firmware.  It supports a variety of network cards,
 including some wireless cards, and variety of network protocols (traditional
 DHCP, BOOTP and TFTP and also HTTP, iSCSI, SAN via FCoE and Infiniband). It
 supports scripting.
 .
 It is possible to use iPXE as a PXE ROM in the network card or to
 chainload it from other boot methods.
 .
 This package provides boot code for all supported network cards in one
 binary and several bootable formats.

Package: ipxe-qemu
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: PXE boot firmware - ROM images for qemu
 iPXE is network boot firmware.  It supports a variety of network cards,
 including some wireless cards, and variety of network protocols (traditional
 DHCP, BOOTP and TFTP and also HTTP, iSCSI, SAN via FCoE and Infiniband). It
 supports scripting.
 .
 It is possible to use iPXE as a PXE ROM in the network card or to
 chainload it from other boot methods.
 .
 This package provides boot code for the qemu emulated network cards in
 as boot ROMs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export ISOLINUX_BIN=/usr/lib/syslinux/

VERSION := $(shell dpkg-parsechangelog | sed -ne 's,^Version: *\(.*\)$$,\1,p')

%:
	+dh $@ 

override_dh_auto_configure:
	cp debian/config/* src/config/local

src/bin/% src/bin-x86_64-efi/%:
	$(MAKE) -C src V=1 NO_WERROR=1 VERSION="$(VERSION)" $(subst src/,,$@)

src/bin-efi/%.efirom: src/bin/%.rom src/bin-x86_64-efi/%.efirom
	@[ -d $(dir $@) ] || mkdir $(dir $@)
	src/util/catrom.pl $^ > $@

override_dh_auto_build: $(shell grep -hoE 'src/bin(-[^/]*)?/\S+' debian/*.install)

override_dh_auto_clean:
	$(MAKE) -C src veryclean
	rm -fr src/bin*
	rm -f src/config/local/*

.NOTPARALLEL:
.SECONDARY:

## ipxe 1.0.0+git-20150424.a25a16d

=== debian/changelog ===
ipxe (1.0.0+git-20150424.a25a16d-1ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/p/enable-https.patch: Enable HTTPS support.
    - d/control,grub-ipxe*: Split grub integration from ipxe->grub-ipxe.
    - d/ipxe-qemu.links: Add compat links from /usr/share/qemu to
      /usr/lib/ipxe/qemu.
    - d/ipxe-qemu.install: Install ne.rom as pxe-ne2k_isa.rom.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 08 Feb 2016 20:35:02 -0800

ipxe (1.0.0+git-20150424.a25a16d-1) unstable; urgency=medium

  * New snapshot.
  * Build-depend on liblzma-dev.
  * Update Standards-Version, no changes.
  * Redo ISO generation:
    - Fix isolinux location and build-deps. (closes: #783051)
    - Include EFI image, build-depend on dosfstools and mtools.
    - Use xorriso instead of genisoimage.
    - Use isohybrid.
  * Enable support for IPv6 and NFS. (closes: #746500)

 -- Bastian Blank <waldi@debian.org>  Wed, 29 Apr 2015 21:00:55 +0200

ipxe (1.0.0+git-20141004.86285d1-1ubuntu3) vivid; urgency=medium

  * ipxe.install: remove one more line which was supposed to be split out
    into grub-ipxe.install.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 09 Feb 2015 11:01:16 -0600

ipxe (1.0.0+git-20141004.86285d1-1ubuntu2) vivid; urgency=medium

  * ipxe.install: remove /boot/ipxe.efi and ipxe.lkrn which are split out
    into grub-ipxe.install.  (LP: #1418751)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 09 Feb 2015 10:51:22 -0600

ipxe (1.0.0+git-20141004.86285d1-1ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable. (LP: #1409057)  Remaining changes:
    - d/p/enable-https.patch: Enable HTTPS support.
    - d/control,grub-ipxe*: Split grub integration from ipxe->grub-ipxe.
    - d/ipxe-qemu.links: Add compat links from /usr/share/qemu to
      /usr/lib/ipxe/qemu.
    - d/ipxe-qemu.install: Install ne.rom as pxe-ne2k_isa.rom.
  * Dropped changes, alternative fix in Debian:
    - d/control: Add libiberty-dev to BD's to fix FTBFS.
    - drop isolinux from build-deps and patch to augment ISOLINUX_BIN
    - Drop transitional kvm-ipxe package since we are past 14.04

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 12 Jan 2015 10:32:26 -0600

ipxe (1.0.0+git-20131111.c3d1e78-2ubuntu2) utopic; urgency=medium

  * Fix FTBFS in utopic due to movement of isolinux.bin:
    - add isolinux to build-deps
    - add /usr/lib/ISOLINUX/isolinux.bin to ISOLINUX_BIN in
      src/arch/i386/Makefile

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 12 Aug 2014 12:56:06 -0500

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,10 @@
 	@[ -d $(dir $@) ] || mkdir $(dir $@)
 	src/util/catrom.pl $^ > $@
 
+src/bin-efi/%.iso: src/bin/%.lkrn src/bin-x86_64-efi/%.efi
+	@[ -d $(dir $@) ] || mkdir $(dir $@)
+	debian/util/geniso $@ $^
+
 override_dh_auto_build: $(shell grep -hoE 'src/bin(-[^/]*)?/\S+' debian/*.install)
 
 override_dh_auto_clean:

## ipxe 1.0.0+git-20160606.fcf5048

=== debian/changelog ===
ipxe (1.0.0+git-20160606.fcf5048-1) unstable; urgency=medium

  * Non-maintainer upload.
  * New snapshot.
  * Disable the patches 0001-rom-change-banner-timeout.diff.patch
    and 0002-Don-t-use-libiberty.patch.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 06 Jun 2016 09:20:36 +0800

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Bastian Blank <waldi@debian.org>
 Build-Depends:
  debhelper (>> 9), dh-exec,
- genisoimage, syslinux-common,
- binutils-dev, zlib1g-dev,
-Standards-Version: 3.9.1
+ xorriso, isolinux, syslinux-common, syslinux-utils, dosfstools, mtools,
+ binutils-dev, liblzma-dev, zlib1g-dev,
+Standards-Version: 3.9.6
 Homepage: http://ipxe.org/
 #Vcs-Git: git://git.debian.org/collab-maint/ipxe.git
 #Vcs-Browser: http://git.debian.org/?p=collab-maint/ipxe.git;a=summary

## ipxe 1.0.0+git-20161017.58f81ff

=== debian/changelog ===
ipxe (1.0.0+git-20161017.58f81ff-1) unstable; urgency=medium

  * Non-maintainer upload.
  * New snapshot.
  * Disable the patches 0001-rom-change-banner-timeout.diff.patch
    and 0002-Don-t-use-libiberty.patch.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 22 Oct 2016 09:51:04 +0800

## ipxe 1.0.0+git-20161027.b991c67

=== debian/changelog ===
ipxe (1.0.0+git-20161027.b991c67-1) unstable; urgency=medium

  * New snapshot. (closes: #799216)
  * Use debhelper 10.

 -- Bastian Blank <waldi@debian.org>  Sun, 13 Nov 2016 13:35:11 +0100
